Skip to main content
POST
/
api
/
v1
/
billing
/
grant-free-prepaid-credits
Grant free prepaid credits (super_admin)
curl --request POST \
  --url https://api.callaro.ai/api/v1/billing/grant-free-prepaid-credits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountable_id": "<string>",
  "amount": 123,
  "description": "<string>",
  "issue_zero_value_invoice": true
}
'
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountable_id: '<string>',
amount: 123,
description: '<string>',
issue_zero_value_invoice: true
})
};

fetch('https://api.callaro.ai/api/v1/billing/grant-free-prepaid-credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.callaro.ai/api/v1/billing/grant-free-prepaid-credits"

payload = {
"accountable_id": "<string>",
"amount": 123,
"description": "<string>",
"issue_zero_value_invoice": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "data": {},
  "message": "<string>",
  "meta": {},
  "request_id": "<string>"
}
{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
accountable_type
enum<string>
required
Available options:
Partner,
Tenant
accountable_id
string
required
amount
number
required
description
string
issue_zero_value_invoice
boolean

Response

Granted

data
object | null
message
string | null
meta
object | null
request_id
string | null